function main_cc(path,out_path)

keys = {['Treated' filesep 'Baseline'],['Treated' filesep 'LowConcentration'],['Treated' filesep 'HighConcentration'];...
    ['Control' filesep 'Baseline'],['Control' filesep 'LowConcentration'],['Control' filesep 'HighConcentration']}'; % Name of the different groups
rel_time = 30; % Start time (min) in after-condition to consider for CC calculation

groups = dir(path); groups(1:2) = []; files = []; idx = ones(6,1);
conditions = dir([path filesep groups(1).name]); conditions(1:2) = [];
for group = 1:length(groups)
    for condition = 1:length(conditions)
        curr_path = [path filesep groups(group).name filesep conditions(condition).name];
        f = dir(curr_path); f(1:2) = [];
        files = [files strcat([curr_path filesep],{f.name})]; %#ok<AGROW> % Making a list of all MEAs
    end
end
for i = 1:length(files) % Looping over MEAs
    spk = load(files{i}); % Loading spike times for current MEA
    tags = strsplit(files{i},filesep); ind = strcmp(tags,'Control') | strcmp(tags,'Treated');
    j = strcmp(strcat(tags(ind),filesep,tags(find(ind)+1)),keys); j = j(:); % Finding group current MEA belongs to
    if ~any([1 4] == find(j)), spk = spk(spk(:,1) >= rel_time*60*1e3,:); end
    [peak_matrix, lag_matrix, sign_matrix, all_tau, all_xcorr] = CC(spk); %#ok<NASGU,ASGLU> % Calculating cross correlograms for this MEA
    save(sprintf('%s\\CC_MEA%d.%d.mat',out_path,find(j),idx(j)),'peak_matrix','lag_matrix','sign_matrix','all_tau','all_xcorr'); % Saving CC values
    idx(j) = idx(j) + 1; % Advancing index of current group
end

end